
Foreman - Bug #32563

iPXE bootstrap and global handling is incorrect

05/07/2021 08:23 AM - Lukas Zapletal

Status: Ready For Testing   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8513

  

Description

Bootstrap script should be only returned when boostrap parameter is present regardless if host is found or not, because it can be

actually found by a HTTP proxy REMOTE_IP fallback mechanism and bootstrap would be never returned.

Second problem is in global template handling, it should be only returned when host was not found but there wasn't mac argument

provided.

More info at: https://community.theforeman.org/t/foreman-2-4-katello-4-ipxe-not-working/23398

Related issues:

Related to Smart Proxy - Bug #32607: Do not pass proxy in x-forwarded-for Closed

History

#1 - 05/07/2021 08:29 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8513 added

#2 - 08/08/2021 01:23 AM - The Foreman Bot

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/8513)

#3 - 11/04/2021 09:49 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8513 added

#4 - 11/04/2021 09:51 AM - Lukas Zapletal

- Related to Bug #32607: Do not pass proxy in x-forwarded-for added
